Subject: [PATCH net 0/2] sctp: improve the pmtu probe in Search Complete state

From: Xin Long <[email-masked]>
Date: Mon, 19 Jul 2021 12:53:21 -0400

Timo recently suggested to use the loss of (data) packets as
indication to send pmtu probe for Search Complete state, which
should also be implied by RFC8899. This patchset is to change
the current one that is doing probe with current pmtu all the
time.

Xin Long (2):
  sctp: improve the code for pmtu probe send and recv update
  sctp: send pmtu probe only if packet loss in Search Complete state

 include/net/sctp/structs.h |  5 +++--
 net/sctp/sm_statefuns.c    | 15 ++++++-------
 net/sctp/transport.c       | 45 +++++++++++++++++++++++---------------
 3 files changed, 37 insertions(+), 28 deletions(-)

-- 
2.27.0